curl --request POST \
--url https://thalamus.nerds.nl/api/v1/partner/ticket/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_id": "ORG-5001",
"contact_id": "C-10042",
"group_id": "GRP-100",
"agent_id": "AGT-42",
"title": "Internet connection issue",
"status": "open",
"priority": "high",
"type": "support",
"category": "technical",
"subcategory": "connectivity",
"created_at": "2026-03-09T10:30:00Z",
"updated_at": "2026-03-09T14:15:00Z"
}
'import requests
url = "https://thalamus.nerds.nl/api/v1/partner/ticket/{id}"
payload = {
"organization_id": "ORG-5001",
"contact_id": "C-10042",
"group_id": "GRP-100",
"agent_id": "AGT-42",
"title": "Internet connection issue",
"status": "open",
"priority": "high",
"type": "support",
"category": "technical",
"subcategory": "connectivity",
"created_at": "2026-03-09T10:30:00Z",
"updated_at": "2026-03-09T14:15:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization_id: 'ORG-5001',
contact_id: 'C-10042',
group_id: 'GRP-100',
agent_id: 'AGT-42',
title: 'Internet connection issue',
status: 'open',
priority: 'high',
type: 'support',
category: 'technical',
subcategory: 'connectivity',
created_at: '2026-03-09T10:30:00Z',
updated_at: '2026-03-09T14:15:00Z'
})
};
fetch('https://thalamus.nerds.nl/api/v1/partner/ticket/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"title": "<string>",
"status": "<string>",
"priority": "<string>",
"type": "<string>",
"category": "<string>",
"subcategory": "<string>",
"organization_id": "<string>",
"contact_id": "<string>",
"group_id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"title": "<string>",
"status": "<string>",
"priority": "<string>",
"type": "<string>",
"category": "<string>",
"subcategory": "<string>",
"organization_id": "<string>",
"contact_id": "<string>",
"group_id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed: body is required"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key"
}
}{
"success": false,
"error": {
"code": "SERVER_ERROR",
"message": "Internal server error"
}
}Create or update a ticket
Creates a new ticket or updates an existing one identified by id (the external ticket ID from the source system).
The partner is derived from the API key.
Authorizations
Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)
Path Parameters
Ticket ID from the source system (e.g., Zendesk ticket ID)
"328099"
Body
Fields for creating or updating a ticket. All fields are optional on update — only provided fields are changed.
Organization ID as defined in the source system and synced via POST /organization/{id}
"ORG-5001"
Contact ID as defined in the source system and synced via POST /contact/{id}
"C-10042"
Group ID as defined in the source system and synced via POST /reference/group
"GRP-100"
Agent ID as defined in the source system and synced via POST /reference/agent
"AGT-42"
Ticket subject/title
"Internet connection issue"
Status id as defined in the source system and synced via POST /reference/status
"open"
Priority id as defined in the source system and synced via POST /reference/priority
"high"
Type id as defined in the source system and synced via POST /reference/type
"support"
Category id as defined in the source system and synced via POST /reference/category
"technical"
Subcategory id as defined in the source system and synced via POST /reference/subcategory
"connectivity"
Original creation timestamp (from source system)
"2026-03-09T10:30:00Z"
Last update timestamp (from source system)
"2026-03-09T14:15:00Z"